Bug 2495 - passdb/pdb_interface.c: lm_pwd & nt_pwd should be "const unsigned char *"
Summary: passdb/pdb_interface.c: lm_pwd & nt_pwd should be "const unsigned char *"
Status: CLOSED FIXED
Alias: None
Product: Samba 3.0
Classification: Unclassified
Component: libsmbclient (show other bugs)
Version: 3.0.12
Hardware: All All
: P3 normal
Target Milestone: none
Assignee: Samba Bugzilla Account
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-03-18 22:35 UTC by Jason Mader (mail bounces back)
Modified: 2005-08-24 10:20 UTC (History)
0 users

See Also:


Attachments
changes variables to "const unsigned char *" (1019 bytes, patch)
2005-03-18 22:38 UTC, Jason Mader (mail bounces back)
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Mader (mail bounces back) 2005-03-18 22:35:34 UTC
Compiling passdb/pdb_interface.c
cc-1515 cc: WARNING File = passdb/pdb_interface.c, Line = 63
  A value of type "const unsigned char *" cannot be assigned to an entity of
          type "const char *".

                        lm_pwd = pdb_get_lanman_passwd(pass);
                               ^

cc-1515 cc: WARNING File = passdb/pdb_interface.c, Line = 69
  A value of type "const unsigned char *" cannot be assigned to an entity of
          type "const char *".

                        nt_pwd = pdb_get_nt_passwd(pass);
                               ^

cc-1515 cc: WARNING File = passdb/pdb_interface.c, Line = 247
  A value of type "const unsigned char *" cannot be assigned to an entity of
          type "const char *".

        lm_pw = pdb_get_lanman_passwd( sam_acct );
              ^

cc-1515 cc: WARNING File = passdb/pdb_interface.c, Line = 248
  A value of type "const unsigned char *" cannot be assigned to an entity of
          type "const char *".

        nt_pw = pdb_get_nt_passwd( sam_acct );
              ^

cc-1515 cc: WARNING File = passdb/pdb_interface.c, Line = 281
  A value of type "const unsigned char *" cannot be assigned to an entity of
          type "const char *".

        lm_pw = pdb_get_lanman_passwd( sam_acct );
              ^

cc-1515 cc: WARNING File = passdb/pdb_interface.c, Line = 282
  A value of type "const unsigned char *" cannot be assigned to an entity of
          type "const char *".

        nt_pw = pdb_get_nt_passwd( sam_acct );
              ^
Comment 1 Jason Mader (mail bounces back) 2005-03-18 22:38:35 UTC
Created attachment 1050 [details]
changes variables to "const unsigned char *"
Comment 2 Gerald (Jerry) Carter 2005-03-22 08:00:58 UTC
fixed.  variables should have been declared as const uint8* for consistency.
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:20:58 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.